Thread
Thread::getCreatorId
Thread
PHP Manual

# Thread::detach

(PECL pthreads >= 2.0.0)

Thread::detach — Execution

### Description

public void Thread::detach ( void )

Detaches the referenced Thread from the calling context, dangerously!

Warning

This method can cause undefined, unsafe behaviour. It should not usually be used, it is present for completeness and advanced use cases.

### Parameters

This function has no parameters.

### Return Values

Thread
Thread::getCreatorId
Thread
PHP Manual